dpkg-mergechangelogs(1)

BEZEICHNUNG
dpkg-mergechangelogs - 3-Wege-Zusammenführung von debian/changelog-Dateien

ÜBERSICHT
dpkg-mergechangelogs [Option …] alt neu-a neu-b [Ausgabe]

BESCHREIBUNG
Dieses Programm wird die drei bereitgestellten Versionen des Debian-Changelogs verwenden, um eine zusammengeführte Changelog-Datei zu erstellen. Das resultierende Changelog wird in der Datei Ausgabe gespeichert oder an die Standardausgabe ausgegeben, falls dieser Parameter fehlt.

Jeder Eintrag wird durch seine Versionsnummer identifiziert und es wird angenommen, dass sie nicht im Konflikt stehen, sie werden einfach in der richtigen Reihenfolge eingemischt (in absteigender Reihenfolge). Wenn --merge-prereleases verwandt wird, wird der Anteil der Versionsnummer nach der letzten Tilde entfernt, so dass 1.0-1~exp1 und 1.0-1~exp5 als gleicher Eintrag angenommen werden. Wenn die gleiche Version sowohl in neu-a als auch in neu-b verfügbar ist, wird eine normale, zeilenbasierte 3-Wege-Zusammenführung versucht (vorausgesetzt, dass das Modul Algorithm::Merge verfügbar ist — es ist Teil des Pakets libalgorithm-merge-perl — andernfalls erhalten Sie einen globalen Konflikt im Inhalt des Eintrags).

OPTIONEN

--merge-unreleased
    Ignoriert die Versionsnummer, wenn die Einträge als UNRELEASED markiert sind (seit Dpkg 1.21.0).

    Dies ist nützlich, wenn Sie auseinanderlaufende Entwicklungen für Versionen haben, die noch nicht veröffentlicht wurden. Beispielsweise wurde die 2.1-1 Instanz veröffentlicht, dann passiert die Entwicklung für die neue 2.2-1 und dann 2.3-1, wo es dann Sinn ergibt, nur in einem vereinigten Eintrag für 2.3-1 zu enden, der sämtliche in 2.2-1 vorgenommene Entwicklung enthält.

-m, --merge-prereleases
    Entfernt den Teil nach der letzten Tilde in der Versionsnummer beim Versionsvergleich, um festzustellen, ob zwei Einträge identisch sein sollen oder nicht.

    Dies ist nützlich, wenn Sie den gleichen Changelog-Eintrag beibehalten, aber regelmäßig die Versionsnummer erhöhen. Beispielsweise könnten Sie 2.3-1~exp1, 2.3-1~exp2, … bis zur offiziellen Veröffentlichung 2.3-1 verwenden und alle enthalten den gleichen Changelog-Eintrag, der sich im Laufe der Zeit entwickelt hat.

--help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

UMGEBUNG

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

DPKG_NLS
    Falls dies gesetzt ist, wird es zur Entscheidung, ob Native Language Support, auch als Unterstützung für Internationalisierung (oder i18n) bekannt, aktiviert wird (seit Dpkg 1.19.0). Die akzeptierten Werte sind: 0 und 1 (Vorgabe).

EINSCHRÄNKUNGEN
Alles, was nicht von Dpkg::Changelog ausgewertet werden kann, geht beim Zusammenführen verloren. Dies betrifft Dinge wie Kommentare, die eigentlich nicht da sein sollten, usw.

INTEGRATION IN GIT
Falls Sie dieses Programm dazu verwenden möchten, Debian-Changelog-Dateien in einem Git-Depot zusammenzuführen, müssen Sie zuerst einen neuen Merge-Treiber in .git/config oder in ~/.gitconfig registrieren:

 [merge "dpkg-mergechangelogs"]
    name = debian/changelog merge driver
    driver = dpkg-mergechangelogs -m %O %A %B %A

Dann müssen Sie entweder in .gitattributes im Depot selbst oder in .git/info/attributes das Merge-Attribut für die Datei debian/changelog einrichten:

 debian/changelog merge=dpkg-mergechangelogs

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2022 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.